add_executable(LeakTracer main.cpp
    # LeakTracer.h LeakTracer.cpp
    MemoryAllocationStackTracer.h MemoryAllocationStackTracer.cpp
)

target_compile_definitions(LeakTracer
    PRIVATE BOOST_STACKTRACE_USE_ADDR2LINE
)

target_include_directories(LeakTracer
    PRIVATE ${Libraries_ROOT}/LeakTracer/include
)

target_link_directories(LeakTracer
    PRIVATE ${Libraries_ROOT}/LeakTracer
)

target_link_libraries(LeakTracer
    PUBLIC Kylin::Core
    -Wl,--wrap=malloc
    -Wl,--wrap=free
)